=== debian/control ===
Source: ros-noetic-fetch-drivers
Section: misc
Priority: optional
Maintainer: Carl Saldanha <csaldanha@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), curl, libboost-all-dev, libcurl4-openssl-dev, liburdfdom-dev, libyaml-cpp-dev, python3-dev, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-fetch-auto-dock-msgs, ros-noetic-fetch-driver-msgs, ros-noetic-mk, ros-noetic-nav-msgs, ros-noetic-power-msgs, ros-noetic-robot-calibration-msgs, ros-noetic-robot-controllers, ros-noetic-robot-controllers-interface, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-roscpp-serialization, ros-noetic-rospack, ros-noetic-rostime, ros-noetic-sensor-msgs, ros-noetic-urdf
Homepage: https://wiki.ros.org/fetch_drivers
Standards-Version: 3.9.2

Package: ros-noetic-fetch-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libboost-all-dev, libcurl4-openssl-dev, liburdfdom-dev, libyaml-cpp-dev, python3-dev, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-diagnostic-msgs, ros-noetic-fetch-auto-dock-msgs, ros-noetic-fetch-driver-msgs, ros-noetic-nav-msgs, ros-noetic-power-msgs, ros-noetic-robot-calibration-msgs, ros-noetic-robot-controllers, ros-noetic-robot-controllers-interface, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-roscpp-serialization, ros-noetic-rostime, ros-noetic-sensor-msgs, ros-noetic-urdf
Description: The public fetch_drivers package is a binary only release.
 fetch_drivers contains both the drivers and firmware for the fetch and freight research robots. There should be no reason to use these drivers unless you're running on a fetch or a freight research robot. This package, is a cmake/make only package which installs the binaries for the drivers and firmware.
